Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCell3D Class Reference

`#include <vtkCell3D.h>`

Inheritance diagram for vtkCell3D:

[legend]
Collaboration diagram for vtkCell3D:

[legend]
List of all members.

## Detailed Description

abstract class to specify 3D cell interface

Date:
  2002/09/30 12:31:16

Revision:
  1.17

vtkCell3D is an abstract class that extends the interfaces for 3D data cells, and implements methods needed to satisfy the vtkCell API. The 3D cells include hexehedra, tetrahedra, wedge, pyramid, and voxel.

See also:
  vtkTetra vtkHexahedron vtkVoxel vtkWedge vtkPyramid

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (60%)
  - Geveci, Berk (32%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkCell3D.cxx)`
  - .`h` (`/Common/vtkCell3D.h)`

Definition at line 48 of file vtkCell3D.h.

## Public Types
typedef vtkCell | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | GetEdgePoints (int edgeId, int *&pts)=0
virtual void | GetFacePoints (int faceId, int *&pts)=0
virtual int | GetCellDimension ()
virtual float * | GetParametricCoords ()
virtual void | Clip (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkCell3D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCell3D ()
| ~vtkCell3D ()
virtual int | ClipInteriorCell (vtkCellArray *)
## Protected Attributes
vtkOrderedTriangulator * | Triangulator

## Member Typedef Documentation

typedef vtkCell vtkCell3D::Superclass

| Reimplemented from vtkCell. Reimplemented in vtkConvexPointSet, vtkHexahedron, vtkPyramid, vtkTetra, vtkVoxel, and vtkWedge. Definition at line 51 of file vtkCell3D.h.

## Constructor & Destructor Documentation

vtkCell3D::vtkCell3D | ( |  | ) | `[inline, protected]`

| Definition at line 97 of file vtkCell3D.h.

vtkCell3D::~vtkCell3D | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkCell3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCell. Reimplemented in vtkConvexPointSet, vtkHexahedron, vtkPyramid, vtkTetra, vtkVoxel, and vtkWedge.

int vtkCell3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell. Reimplemented in vtkConvexPointSet, vtkHexahedron, vtkPyramid, vtkTetra, vtkVoxel, and vtkWedge.

virtual int vtkCell3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell. Reimplemented in vtkConvexPointSet, vtkHexahedron, vtkPyramid, vtkTetra, vtkVoxel, and vtkWedge.

vtkCell3D* vtkCell3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCell. Reimplemented in vtkConvexPointSet, vtkHexahedron, vtkPyramid, vtkTetra, vtkVoxel, and vtkWedge.

void vtkCell3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCell.

virtual void vtkCell3D::GetEdgePoints | ( | int | edgeId,
|  | int *& | pts
| ) | `[pure virtual]`

| Get the pair of vertices that define an edge. The method returns the number of vertices, along with an array of vertices. Note that the vertices are 0-offset; that is, they refer to the ids of the cell, not the point ids of the mesh that the cell belongs to. The edgeId must range between 0<=edgeId<this->GetNumberOfEdges(). Implemented in vtkHexahedron, vtkPyramid, vtkTetra, vtkVoxel, and vtkWedge.

virtual void vtkCell3D::GetFacePoints | ( | int | faceId,
|  | int *& | pts
| ) | `[pure virtual]`

| Get the list of vertices that define a face. The list is terminated with a negative number. Note that the vertices are 0-offset; that is, they refer to the ids of the cell, not the point ids of the mesh that the cell belongs to. The faceId must range between 0<=faceId<this->GetNumberOfFaces(). Implemented in vtkHexahedron, vtkPyramid, vtkTetra, vtkVoxel, and vtkWedge.

virtual void vtkCell3D::Clip | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | connectivity,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd,
|  | int | insideOut
| ) | `[virtual]`

| Cut (or clip) the cell based on the input cellScalars and the specified value. The output of the clip operation will be one or more cells of the same topological dimension as the original cell. The flag insideOut controls what part of the cell is considered inside - normally cell points whose scalar value is greater than "value" are considered inside. If insideOut is on, this is reversed. Also, if the output cell data is non-NULL, the cell data from the clipped cell is passed to the generated contouring primitives. (Note: the CopyAllocate() method must be invoked on both the output cell and point data. The cellId refers to the cell from which the cell data is copied.) (Satisfies vtkCell API.) Implements vtkCell. Reimplemented in vtkConvexPointSet, and vtkTetra.

virtual int vtkCell3D::GetCellDimension | ( |  | ) | `[inline, virtual]`

| The topological dimension of the cell. (Satisfies vtkCell API.) Implements vtkCell. Reimplemented in vtkPyramid, vtkVoxel, and vtkWedge. Definition at line 88 of file vtkCell3D.h.

virtual float* vtkCell3D::GetParametricCoords | ( |  | ) | `[virtual]`

| Return a contiguous array of parametric coordinates of the points defining this cell. In other words, (px,py,pz, px,py,pz, etc..) The coordinates are ordered consistent with the definition of the point ordering for the cell. Reimplemented in vtkConvexPointSet, vtkHexahedron, vtkPyramid, vtkTetra, vtkVoxel, and vtkWedge.

virtual int vtkCell3D::ClipInteriorCell | ( | vtkCellArray * |  | ) | `[inline, protected, virtual]`

| Definition at line 103 of file vtkCell3D.h.

## Member Data Documentation

vtkOrderedTriangulator* vtkCell3D::Triangulator`[protected]`

| Definition at line 100 of file vtkCell3D.h.

The documentation for this class was generated from the following file:

- Common/vtkCell3D.h